% File: extract_dct_coeff.m

% Author: Shawn Hymel
% Date: November 30, 2011
% ECE 5554 - Computer Vision

% This functions extracts the desired number of DCT coefficients in a
% zig-zag pattern starting with the first coefficient at 1,1.

% Inputs:
%   dct         - DCT of image
%   length      - number of DCT coefficients to extract

% Outputs:
%   dct_c       - Desired coefficients

function dct_c = extract_dct_coeff(dct, length)

dct_c = ones(1, length);
x = 1;
y = 1;
dir = 1;    % down: dir=0, up: dir=1

for i = 1:1:length
    dct_c(i) = dct(y,x);
    if dir == 1 && y == 1
        dir = 0;
        x = x + 1;
    elseif dir == 0 && x == 1
        dir = 1;
        y = y + 1;
    elseif dir == 1
        x = x + 1;
        y = y - 1;
    else
        x = x - 1;
        y = y + 1;
    end
end

% End of function