% File: highlight_hits.m
% Highlight the hits from a sub image search. Display the original image
% with each of the hit boxes highlighted in green.
% Syntax:
%   highlight_hits(im, hits, sub_window)

% This takes the image file and hits locations (hits) and highlights each
% of the areas that have been determined to match.
%
% Author: Shawn Hymel
% Date: December 10, 2011
% ECE 5554 - Computer Vision
%
% Input:
%   im          - image as a matrix
%   hits        - [x, y, loglik] showing where each of the hits are located
%   sub_window  - [L, W] the size of the sub image window

function highlight_hits(im, hits, sub_window)

% Loop through each of the hits and highlight the sub window in the image
for i = 1:1:size(hits, 1)
    hit = hits(i, :);
    im(hit(2):1:(hit(2)+sub_window(1)), ...
        hit(1):1:(hit(1)+sub_window(2)), 3) = 0.7;
end

% Display image
figure
imshow(im)